classification
Title: Tkinter doesn't use higher resolution app icon
Type: behavior Stage: resolved
Components: Tkinter Versions: Python 2.7
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, epaine, gpolo, th9
Priority: normal Keywords:

Created on 2011-12-08 01:44 by th9, last changed 2020-07-06 07:50 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
tk_wm_icon_test.py th9, 2011-12-08 01:44
Messages (3)
msg149015 - (view) Author: (th9) Date: 2011-12-08 01:44
48x48 icons in Gnome3 show up blurry, but giving larger resolution (128 or 256) icon to Tkinter doesn't improve its appearance at all in the panel or Alt+Tab menu.

I'm using 'photoimage' to get color icon. Giving two resolution icons in whatever order doesn't change anything - get blurry icon.

Attached example script. It expects two PNG pictures (48x48 and 256x256) in the CWD and uses PIL to load them.
msg222131 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-02 21:31
Can we have a comment on this please.
msg371693 - (view) Author: E. Paine (epaine) * Date: 2020-06-16 19:49
This is a tk issue, as it can be reproduced using 'wish' (tcl 8.6.10):

wm title . "APP title"
wm iconname . APP
image create photo .iconL -file icon256.png
image create photo .iconS -file icon48.png
wm iconphoto . -default .iconL .iconS

Thank you th9 for reporting this, but it should be closed as "third party".
History
Date User Action Args
2020-07-06 07:50:09terry.reedysetstatus: open -> closed
resolution: third party
stage: resolved
2020-06-16 19:49:16epainesetnosy: + epaine
messages: + msg371693
2019-03-16 00:11:02BreamoreBoysetnosy: - BreamoreBoy
2014-07-02 21:31:06BreamoreBoysetnosy: + gpolo, BreamoreBoy
messages: + msg222131
2012-03-14 17:33:41asvetlovsetnosy: + asvetlov
2011-12-08 01:44:26th9create